Manage customer records on a business location.
List customers
Returns paginated customers for the current business and location context.
query Parameters
pagepage_sizeqHeaders
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
List customers › Responses
Customers fetched successfully. Response message: Customers fetched!.
successmessageCreate or update a customer
Finds or creates a customer by the supplied contact details and updates the record when needed.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Create or update a customer › Request Body
nameaddressemailphoneavatarcompany_nameadded_tagstagssourcedo_not_updatelocation_idCreate or update a customer › Responses
Customer upserted successfully. Response message: Customer upserted!.
successmessageCreate a customer
Creates a customer in the currently selected business and location.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Create a customer › Request Body
nameaddresscompany_namesourcestatuslocation_idtagsCreate a customer › Responses
Customer created successfully. Response message: Customer created!.
successmessageGet customer details
Returns the full customer record for the selected customer UUID.
path Parameters
idCustomer UUID.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Get customer details › Responses
Customer fetched successfully. Response message: Customer fetched!.
successmessageUpdate a customer
Updates a customer record, including contacts, tags, company details, and source metadata.
path Parameters
idCustomer UUID.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Update a customer › Request Body
nameaddresscompany_nametagsUpdate a customer › Responses
Customer updated successfully.
successmessagebodyDelete a customer
Deletes the selected customer record when the underlying customer delete rules allow it.
path Parameters
idCustomer UUID.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Delete a customer › Responses
Customer deleted successfully.
successmessagebody